package issue

import (
	"madsky.ru/go-finance/internal/project"
	"madsky.ru/go-finance/internal/status"
	"time"
)

type Issue struct {
	ID          uint32          `json:"id"`
	Name        string          `json:"name"`
	Description *string         `json:"description"`
	Position    uint32          `json:"position"`
	Created     time.Time       `json:"created"`
	StatusID    uint32          `json:"status_id"`
	ProjectID   uint32          `json:"project_id"`
	Status      status.Status   `json:"status"`
	Project     project.Project `json:"project"`
}
